<?php
   $target='codigo';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Movimientos/estados.php"); 

   $nombrepagina = "CREACION DE ESTADOS";
   encabezado($target);
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	 class llamado{
	 	var $menuObj;
      	function validar1($id_user,$id_sucursal){
	 		$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
	  	}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Estados ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Codigo Estado:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="codigo" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Nombre Estado:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){

     }else{
	
		class crearEstados{
	  		var $crearObj;
	  		var $conexionObj;
	  		var $estado;
			function setCrear($codigo,$nombre){
	  			$id_user=$_GET['id_user'];
			 	$id_suc=$_GET['suc'];
	  		 	if($nombre==''){
			 		$msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	  		    	echo "<script>
					setTimeout(location.href='crear_estados.php?id_user=$id_user&suc=$id_suc', 100);
	            	alert('$msgBOX2');
	  		  		</script>";
			 	}else{
			 		$this->crearObj=new estados();
	  		 		$this->crearObj->setCodigo($codigo);
			 		$this->crearObj->setNombreest($nombre);
			 	}
			}
			function getCrear(){
		     	return $this->crearObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM estados_gestion WHERE cod_estado='".$this->crearObj->getCodigo()."'");
				if(mysql_num_rows($rst_validar)>=1){
					$msgBOX2 = "Estado de Gestion Existe en Sistema.";
	  		    	echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
				}else{
					$nombre=$this->crearObj->getNombreest();
					$codigo=$this->crearObj->getCodigo();
					$this->insertarDatos($codigo,$nombre);
				}
			
			}
			function insertarDatos($codigo,$nombre){
				$rst_insertar=$this->conexionObj->modificar("INSERT INTO estados_gestion (id_estado, cod_estado, nombre) VALUES (null,'".$codigo."','".$nombre."')");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
			       $msgBOX2 = "Estados de Gestion Creada Exitosamente.";
	  		       $rst_select=$this->conexionObj->consultar("SELECT id_estado FROM estados_gestion ORDER BY id_estado DESC LIMIT 1");
				   $id_est=mysql_fetch_array($rst_select);
				   $rst_alter=$this->conexionObj->modificar("ALTER TABLE rastreo_guias ADD COLUMN E".$id_est[0]." int(5) DEFAULT '0' NULL, ADD COLUMN F".$id_est[0]." datetime DEFAULT '0000-00-00 00:00:00' NULL");
				   echo "<script>
	               alert('$msgBOX2');
	  		  	   </script>";
				}else{
				   $msgBOX2 = "Estados de Gestion No Pudo ser Creada.";
	  		       echo "<script>
	               alert('$msgBOX2');
	  		  	   </script>";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearEstadosObj=new crearEstados();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearEstadosObj->setCrear($_POST['codigo'],$_POST['nombre']);
// LAMANDO EL METODO DE NEGOCIO
$crearEstadosObj->validar();

}
	mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>